Loading...
Searching...
No Matches
gx_jack::MidiCC Class Reference

`#include <gx_jack.h>`

## Public Member Functions

| MidiCC (gx_engine::GxEngine &engine_)
bool | send_midi_cc (int _cc, int _pg, int _bgn, int _num)
int | next (int i=-1) const
int | size (int i) const
void | fill (unsigned char *midi_send, int i)

## Private Attributes

gx_engine::GxEngine & | engine
std::atomic< bool > | send_cc [max_midi_cc_cnt]
int | cc_num [max_midi_cc_cnt]
int | pg_num [max_midi_cc_cnt]
int | bg_num [max_midi_cc_cnt]
int | me_num [max_midi_cc_cnt]

## Static Private Attributes

static const int | max_midi_cc_cnt = 25

## Detailed Description

Definition at line 133 of file gx_jack.h.

## Constructor & Destructor Documentation

## MidiCC()

gx_jack::MidiCC::MidiCC | ( | gx_engine::GxEngine & | engine_ | ) |

## Member Function Documentation

## fill()

void gx_jack::MidiCC::fill | ( | unsigned char * | midi_send,
|  | int | i )

inline

Definition at line 159 of file gx_jack.h.

## next()

int gx_jack::MidiCC::next | ( | int | i = -1 | ) | const

inline

Definition at line 150 of file gx_jack.h.

## send_midi_cc()

bool gx_jack::MidiCC::send_midi_cc | ( | int | _cc,
|  | int | _pg,
|  | int | _bgn,
|  | int | _num )

## size()

int gx_jack::MidiCC::size | ( | int | i | ) | const

inline

Definition at line 146 of file gx_jack.h.

Referenced by fill().

## Member Data Documentation

## bg_num

int gx_jack::MidiCC::bg_num[max_midi_cc_cnt]

private

Definition at line 140 of file gx_jack.h.

Referenced by fill().

## cc_num

int gx_jack::MidiCC::cc_num[max_midi_cc_cnt]

private

Definition at line 138 of file gx_jack.h.

Referenced by fill().

## engine

gx_engine::GxEngine& gx_jack::MidiCC::engine

private

Definition at line 135 of file gx_jack.h.

## max_midi_cc_cnt

const int gx_jack::MidiCC::max_midi_cc_cnt = 25

static private

Definition at line 136 of file gx_jack.h.

Referenced by next().

## me_num

int gx_jack::MidiCC::me_num[max_midi_cc_cnt]

private

Definition at line 141 of file gx_jack.h.

Referenced by size().

## pg_num

int gx_jack::MidiCC::pg_num[max_midi_cc_cnt]

private

Definition at line 139 of file gx_jack.h.

Referenced by fill().

## send_cc

std::atomic<bool> gx_jack::MidiCC::send_cc[max_midi_cc_cnt]

private

Definition at line 137 of file gx_jack.h.

Referenced by fill(), and next().

The documentation for this class was generated from the following file:

- src/headers/gx_jack.h